Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.pool
Class ResourcePoolLogger

`java.lang.Object
oracle.jbo.pool.ResourcePoolLogger`

All Implemented Interfaces:
  ResourcePoolListener

Direct Known Subclasses:
  ApplicationPoolLogger

public class ResourcePoolLogger
extends java.lang.Object
implements ResourcePoolListener

Responsible for logging, collecting, and reporting resource pool statistics.

Field Summary

Fields inherited from interface oracle.jbo.pool.ResourcePoolListener
`CHECKOUT_FAILED, INSTANCE_CHECKED_IN, INSTANCE_CHECKED_OUT, INSTANCE_CREATED, INSTANCE_REMOVED`

Constructor Summary
`ResourcePoolLogger(ResourcePool pool)`

Method Summary
`protected void` | `calculateAverages(boolean force)`
`protected void` | `computeResourceAgeHistogram(ResourcePoolStatistics statistics)`
`void` | `dumpPoolStatistics(java.io.PrintWriter pw)`
`protected ResourcePoolStatistics` | `getResourcePoolStatistics()`
`protected ResourcePoolStatistics` | `getStatisticsHolder()`
`void` | `handleEvent(byte eventType)`
`protected void` | `printHeaderLine(java.lang.String key, java.lang.Class bundleClass, java.io.PrintWriter pw)`
`protected void` | `printStatisticLine(java.lang.String key, java.lang.Class bundleClass, java.lang.Object[] params, float value, java.io.PrintWriter pw)`
`protected void` | `printStatisticLine(java.lang.String key, java.lang.Class bundleClass, java.lang.Object[] params, long value, java.io.PrintWriter pw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourcePoolLogger

    public ResourcePoolLogger(ResourcePool pool)

Method Detail

### handleEvent

    public void handleEvent(byte eventType)

  Specified by:
    `handleEvent` in interface `ResourcePoolListener`

### getStatisticsHolder

    protected ResourcePoolStatistics getStatisticsHolder()

### getResourcePoolStatistics

    protected ResourcePoolStatistics getResourcePoolStatistics()

### computeResourceAgeHistogram

    protected void computeResourceAgeHistogram(ResourcePoolStatistics statistics)

### dumpPoolStatistics

    public void dumpPoolStatistics(java.io.PrintWriter pw)

### calculateAverages

    protected void calculateAverages(boolean force)

### printHeaderLine

    protected void printHeaderLine(java.lang.String key,
                                   java.lang.Class bundleClass,
                                   java.io.PrintWriter pw)

### printStatisticLine

    protected void printStatisticLine(java.lang.String key,
                                      java.lang.Class bundleClass,
                                      java.lang.Object[] params,
                                      float value,
                                      java.io.PrintWriter pw)

### printStatisticLine

    protected void printStatisticLine(java.lang.String key,
                                      java.lang.Class bundleClass,
                                      java.lang.Object[] params,
                                      long value,
                                      java.io.PrintWriter pw)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.